volumes:
  postgres-data:
    name: 'postgres-data'

services:
  symfony:
    container_name: ${PROJECT_NAME}_symfony
    command: "/usr/bin/init.sh"
    networks:
      - postgres_network
      - mailhog_network
    build:
      context: 'docker/dev/symfony'
      dockerfile: 'Dockerfile'
      args: 
        USER_ID: ${USER_ID}
        GROUP_ID: ${GROUP_ID}
        GIT_EMAIL: ${GIT_EMAIL}
        GIT_NAME: ${GIT_NAME}
    restart: always
    volumes:
      -   type: bind
          source: symfony
          target: /var/www/html
      - './logs/symfony:/var/logs'

  postgres:
    image: postgres:14.1
    container_name: ${PROJECT_NAME}_postgres
    environment:
      - POSTGRES_USER=${POSTGRES_USER}
      - POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
      - POSTGRES_ROOT_PASSWORD=${POSTGRES_PASSWORD}
      - POSTGRES_ROOT_HOST='%'
    volumes:
      - postgres-data:/var/lib/postgresql/data
      - ./postgres:/sql
    restart: unless-stopped
    networks:
      - postgres_network
    ports:
      - "5432:5432"

  pgadmin:
    image: dpage/pgadmin4
    container_name: ${PROJECT_NAME}_pgadmin
    environment:
      - PGADMIN_DEFAULT_EMAIL=${POSTGRES_EMAIL_USER}
      - PGADMIN_DEFAULT_PASSWORD=${POSTGRES_PASSWORD}
    restart: unless-stopped
    labels:
      - traefik.enable=true
      - traefik.http.routers.${PROJECT_NAME}_pga_insecure.rule=Host(`${PROJECT_DOMAIN}.pga.${DOMAIN}`)
      - traefik.http.routers.${PROJECT_NAME}_pga_insecure.entrypoints=web
      - traefik.http.routers.${PROJECT_NAME}_pga.rule=Host(`${PROJECT_DOMAIN}.pga.${DOMAIN}`)
      - traefik.http.routers.${PROJECT_NAME}_pga.entrypoints=websecure
      - traefik.http.routers.${PROJECT_NAME}_pga.tls.certresolver=myresolver
    networks:
      - postgres_network

  mailhog:
    image: mailhog/mailhog:latest
    container_name: ${PROJECT_NAME}_mailhog
    restart: always
    networks:
      - mailhog_network
    labels:
      - traefik.enable=true
      - traefik.http.routers.${PROJECT_NAME}_mailhog.entrypoints=web
      - traefik.http.routers.${PROJECT_NAME}_mailhog.rule=Host(`${PROJECT_DOMAIN}.mailhog.${DOMAIN}`)
      - traefik.http.routers.${PROJECT_NAME}_mailhog_secure.entrypoints=websecure
      - traefik.http.routers.${PROJECT_NAME}_mailhog_secure.rule=Host(`${PROJECT_DOMAIN}.mailhog.${DOMAIN}`)
      - traefik.http.routers.${PROJECT_NAME}_mailhog_secure.tls.certresolver=myresolver
      - traefik.http.services.${PROJECT_NAME}_mailhog.loadbalancer.server.port=8025

networks:
  postgres_network:
  mailhog_network: